use plonky2::plonk::config::GenericConfig;
use plonky2::plonk::config::PoseidonGoldilocksConfig;
use starky::config::StarkConfig;

pub mod circuit;
pub mod fibstark;

pub const D: usize = 2;
pub const STARK_CONFIG: StarkConfig = StarkConfig::standard_fast_config();
pub type C = PoseidonGoldilocksConfig;
pub type F = <C as GenericConfig<D>>::F;
